Bug 212601 - luci - selecting cluster name or cluster node name indicates error in install and displays empty form
luci - selecting cluster name or cluster node name indicates error in install...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 13:55 EDT by Len DiMaggio
Modified: 2009-04-16 18:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 11:41:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug log fragment (10.44 KB, text/plain)
2006-10-27 13:55 EDT, Len DiMaggio
no flags Details
screen shot 1 of 3 (202.16 KB, image/png)
2006-10-27 13:59 EDT, Len DiMaggio
no flags Details
screen shot 2 of 3 (284.68 KB, image/png)
2006-10-27 14:00 EDT, Len DiMaggio
no flags Details
screen shot 3 of 3 (257.50 KB, image/png)
2006-10-27 14:00 EDT, Len DiMaggio
no flags Details
Screen shot 1 of 4 (116.40 KB, image/png)
2006-11-10 11:05 EST, Len DiMaggio
no flags Details
Screen shot 2 of 4 (133.44 KB, image/png)
2006-11-10 11:06 EST, Len DiMaggio
no flags Details
Screen shot 3 of 4 (99.11 KB, image/png)
2006-11-10 11:13 EST, Len DiMaggio
no flags Details
Screen shot 4 of 4 (114.44 KB, image/png)
2006-11-10 11:15 EST, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2006-10-27 13:55:49 EDT
Description of problem:
luci and ricci - selecting cluster name or cluster node name indicates error in
install and displays empty form

Version-Release number of selected component (if applicable):
luci-0.8-21.el5 and ricci-0.8-21.el5

How reproducible:
100%

Steps to Reproduce:
1. Create a new cluster - I created a new 2-node cluster - luci is running on a
third node.
2. Select the cluster name from the cluster list 
3. Then select the name of the cluster - or the name of any of the cluster nodes
- see the attached screen shots for an illustration
  
Actual results:
The error displayed in screen shot inidicates an install error - an empty
page/form is displayed in screen shot 3.

Expected results:
The cluster's config should be displayed.

Additional info:
See the (3) screen shots for an illustration of the steps. I've also attached a
fragement of the debug log from the luci node.
Comment 1 Len DiMaggio 2006-10-27 13:55:49 EDT
Created attachment 139598 [details]
debug log fragment
Comment 2 Len DiMaggio 2006-10-27 13:59:01 EDT
Created attachment 139599 [details]
screen shot 1 of 3
Comment 3 Len DiMaggio 2006-10-27 14:00:08 EDT
Created attachment 139600 [details]
screen shot 2 of 3
Comment 4 Len DiMaggio 2006-10-27 14:01:00 EDT
Created attachment 139601 [details]
screen shot 3 of 3
Comment 5 Len DiMaggio 2006-11-10 11:04:56 EST
This problem is less serious than it once was - but there's still a bug here.

What happens is that the first time that a user attempts to confiugure a bug,
the sequence of actions shown in the (4) new attachments happen - the eventual
outcome is that the user is able to configure the cluster on the 2nd attempt -
but, first, the user is shown the empty results set in the 3rd attachment.
Comment 6 Len DiMaggio 2006-11-10 11:05:54 EST
Created attachment 140899 [details]
Screen shot 1 of 4
Comment 7 Len DiMaggio 2006-11-10 11:06:57 EST
Created attachment 140900 [details]
Screen shot 2 of 4
Comment 8 Len DiMaggio 2006-11-10 11:13:33 EST
Created attachment 140901 [details]
Screen shot 3 of 4
Comment 9 Len DiMaggio 2006-11-10 11:15:28 EST
Created attachment 140903 [details]
Screen shot 4 of 4
Comment 10 Ryan McCabe 2006-11-10 11:35:43 EST
just to make sure I understand what's going on: does creating the cluster fail
the first time, or does the progress page contain a bug that misleads you as to
the status? do you actually have to attempt to create the cluster twice to get
it to work correctly?
Comment 11 Len DiMaggio 2006-11-10 11:44:22 EST
No - creating the cluster doesn't fail - it's just that the user is left with
the screen shown in the 3rd screenshot. If the user just selects "Configure"
after that, the user is brought to the screen shown in the 4th screen shot. Thanks!
Comment 12 Ryan McCabe 2006-11-10 11:50:07 EST
oh, good. thanks for the info. i think i should be able to fix this one pretty
easily.
Comment 13 Ryan McCabe 2006-11-10 14:50:13 EST
should be fixed in -HEAD now
Comment 14 Len DiMaggio 2007-01-23 11:56:34 EST
Bug fix verifed with:
luci-0.8-29.el5
ricci-0.8-29.el5

Note You need to log in before you can comment on or make changes to this bug.